This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1030124 - Switchyard quickstart, bpm-service in JBDS, errors in ProcessOrder.bpmn - Data Input has missing or incomplete Data Type
Switchyard quickstart, bpm-service in JBDS, errors in ProcessOrder.bpmn - Dat...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Rules / jBPM integration, Examples (Show other bugs)
6.0.0 GA
x86_64 Linux
unspecified Severity medium
: ER7
: ---
Assigned To: Keith Babo
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 19:26 EST by Bill Kemp
Modified: 2015-08-02 19:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of problems in JBDS (285.96 KB, image/png)
2013-11-13 19:28 EST, Bill Kemp
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1853 Major Closed JBDS warnings on BPMN 2 definitions in quickstarts 2014-06-16 19:47:57 EDT

  None (edit)
Description Bill Kemp 2013-11-13 19:26:31 EST
Description of problem:

Maven import of Switchyard quickstart, bpm-service project into JBDS has errors in validating ProcessOrder.bpmn - Data Input has missing or incomplete Data Type.

Version-Release number of selected component (if applicable):

JBDS 7.0.1.GA
SwitchYard	1.1.0.v20130912-2244-H393-M2	
SwitchYard BPM Support	1.1.0.v20130912-2244-H393-M2
Fuse Service Works 6.0 Beta

How reproducible:
Consistent

Steps to Reproduce:
1. import the bpm-service switchyard quickstart
2. open the problems view
3.

Actual results:

Description	Resource	Path	Location	Type
Data Input has missing or incomplete Data Type	ProcessOrder.bpmn	/bpm-service/src/main/resources/META-INF	line 28	Core BPMN 2.0 Problem

Expected results:


Additional info:

Added a screenshot
Comment 1 Bill Kemp 2013-11-13 19:28:31 EST
Created attachment 823699 [details]
screenshot of problems in JBDS
Comment 3 JBoss JIRA Server 2013-11-20 17:43:09 EST
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1853

pushed
Comment 4 Andrej Podhradsky 2013-12-18 03:20:14 EST
Verified with FSW 6.0.0.ER7 and JBDS-IS 7.0.0.CR1
Comment 5 JBoss JIRA Server 2014-06-16 19:47:59 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1853 to Closed

Note You need to log in before you can comment on or make changes to this bug.